package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 方案投资表 scheme_investment
 *
 * @author ruoyi
 */
public class SchemeInvestment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 方案id */
    private String schemeId;

    /** 总投资 */
    private String totalInvestment;
    /**投资规模*/
    private String investmentScale;
    /** 营收预测 */
    private String revenueForecast;

    /** 收益模型 */
    private String revenueModel;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getTotalInvestment() {
        return totalInvestment;
    }

    public void setTotalInvestment(String totalInvestment) {
        this.totalInvestment = totalInvestment;
    }

    public String getInvestmentScale() {
        return investmentScale;
    }

    public void setInvestmentScale(String investmentScale) {
        this.investmentScale = investmentScale;
    }

    public String getRevenueForecast() {
        return revenueForecast;
    }

    public void setRevenueForecast(String revenueForecast) {
        this.revenueForecast = revenueForecast;
    }

    public String getRevenueModel() {
        return revenueModel;
    }

    public void setRevenueModel(String revenueModel) {
        this.revenueModel = revenueModel;
    }

    @Override
    public String toString() {
        return "SchemeInvestment{" +
                "id=" + id +
                ", schemeId='" + schemeId + '\'' +
                ", totalInvestment='" + totalInvestment + '\'' +
                ", investmentScale='" + investmentScale + '\'' +
                ", revenueForecast='" + revenueForecast + '\'' +
                ", revenueModel='" + revenueModel + '\'' +
                '}';
    }
}
